// 一个评论唯一对应一个反馈
import { http } from "@/utils/http";
import data from "@iconify-icons/ri/fullscreen-fill";
type Comment = {
  // 评论编号
  commentId: number,
  // 对应的反馈编号
  feedBackId: number,
  // 评论内容
  commentContent: string,
  // 评论用户编号
  userId: number,
  // 评论用户名称
  nickname: string;
  // 评论用户头像
  headshot: string;
  // 评论时间
  commentTime: Date;
}

type CommentResult = {
  success: boolean,
  data?: {
    list: Array<Comment>
  }
}

type Info = {
  nickname: string;
  packageType: number;
  status: number;
}

type InfoResult = {
  success: boolean;
  data?: {
    list: Info;
  }
}

/** 通过反馈编号查询反馈下的所有评论 */
export const selectCommentsByFeedBackID = (data?: {feedBackId : number}) => {
  return http.request<CommentResult>("post", "/select-comments-by-feedBack-Id", { data });
}
/** 通过反馈编号查询反馈对应的升级包信息将其转为菜单表形式 */
export const selectPackageByFeedBackID = (data?: { feedBackId: number,packageId: number }) => {
  return http.request<InfoResult>("post","/select-package-by-feedBack-Id",{data})
}

type newComment = {
  // 评论用户编号
  userId: number,
  // 评论反馈编号
  feedBackId: number,
  // 评论内容
  commentContent: string,
}

type Result = {
  success: boolean;
  data?: {
    
  }
}

/** 根据反馈编号在反馈下新增一个用户评论 */
export const addNewCommentByFeedBackID = (data?: newComment) => {
  return http.request<Result>("post","/add-new-comment-by-feedBack-id",{data})
}
