// 一个升级包表包含多个升级包
import { http } from "@/utils/http";
type upgradePackage = {
  packageId: number;
  packageName: string;
  packageType: number;
  packageVersion: string;
  packageSize: string;
  packageDownload: number;
  systemType: number;
  adminId: string;
  status: number;
  os: string;
  createTime: Date;
  fileName: string;
  fileList: Array<any>;
  ossPath: string;
  // 适用版本
  applyVersion: string;
}

type ResultUpgradePackage = {
  success: boolean;
  data?: {
    /** 列表数据 */
    list: Array<upgradePackage>;
    /** 信息 */
    msg?: string;
  };
  total: number;
  pageSize: number;
  currentPage: number;
};
export type selectUpgradePackage = {
  tableId: number,
  packageName: string,
  packageVersion: string,
  createTime: number,
}
/** 获取所有升级包 */
export const getAllUpgradePackage = (data?: selectUpgradePackage) => { 
  return http.request<ResultUpgradePackage>("post", "/get-upgrade-package", { data });
}

interface FormItemProps {
  packageId: number;
  packageName: string;
  packageType: number;
  packageVersion: string;
  adminId: string;
  status: number;
  systemType: number;
  os: string;
}
type Result = {
  success: boolean;
  data?: Array<any>;
};

/** 删除已有的升级包 */
export const deleteUpgradePackage = (data: { packageId: number,tableId: number}) => { 
  return http.request<Result>('post',"/delete-upgrade-package",{data})
}
const baseUrl = import.meta.env.VITE_BASE_URL;

/** 创建新的升级包 */
export const addformUpload = data => {
  return http.request<Result>(
    "post",
    baseUrl + "/create-upgrade-package",
    { data },
    {
      headers: {
        "Content-Type": "multipart/form-data"
      }
    }

  );
};

/** 修改已有的升级包*/
export const alterformUpload = data => {
  return http.request<Result>(
    "post",
    baseUrl + "/alter-upgrade-package",
    { data },
    {
      headers: {
        "Content-Type": "multipart/form-data"
      }
    }

  );
};