import { useConnectStoreHook } from "@/store/modules/connect";
import axios from "axios";
import { http } from "@/utils/http";

type DepolyUpgradePackage = {
  // 已经部署的升级包编号
  packageId: number,
  // 已经部署的升级包名称
  packageName: string,
  // 已经部署的升级包版本
  packageVersion: string,
  // 已经部署的升级包大小
  packageSize: string,
  // 已经部署的升级包安装时间
  creatTime: string,
  // 当前部署的升级包的状态(0:最新版本,1:有新版本)
  status: number,
  // 阿里云路径
  ossPath: string,
}

type DepolyUpgradePackageResult = {
  success: boolean,
  data?: {
    list: Array<DepolyUpgradePackage>
  }
}

// 此方法用于获取当前设备已经部署的服务器包
export const getDepolyUpgradePackageList = () => {
  return http.request<DepolyUpgradePackageResult>("post","/get-depoly-upgrade-package-list")
}