import { getToken } from "@/utils/auth";
import axios from "axios";

type Default = {
  success: boolean,
  data: object
}

type InstallStatusResult = {
  success: boolean,
  data: {
    installStatus: string
  }
}

type InstallContentResult = {
  success: boolean,
  data: {
    list: Array<string>
  }
}


/** 此方法用于触发下载 */
export const intstallUpgradePackage = (address,ossPath) => {
    return axios.post<Default>('http://'+ address + ':8080/api/'+ "install-upgradePackage",{ossPath: ossPath},{    headers: {
      "Authentication": getToken().accessToken
    }});
}

/** 此方法用于查询对应ip的下载状态 */
export const searchInstallContent = (address) => {
  return axios.post<InstallContentResult>('http://'+ address + ':8080/api/'+ "search-install-content",{},{    headers: {
      "Authentication": getToken().accessToken
    }})
}

type InstallProgress = {
  success: boolean,
  data: {
    progress: string,
    progressStatus: number,
  }
}

/** 此方法用于轮询获取下载进度 */
export const getDownloadProgress = (address) => {
  return axios.post<InstallProgress>('http://' + address + ':8080/api/' + "get-Download-progress", {}, {
    headers: {
      "Authentication": getToken().accessToken
    }
  });
}






