import { getToken } from "@/utils/auth";
import { http } from "@/utils/http";
import axios from "axios";
import { ref } from "vue";
type DefaultResult = {
  success: boolean,
  data?: object
}

const baseUrl = ref(import.meta.env.VITE_BASE_URL);

/**添加一个任务 */
export const addNewTaskByKernel = (address,packageName,title,userId,role) => {
  return axios.post<DefaultResult>('http://'+ address + ':8080/api/'+ "add-new-task-kernel",{packageName: packageName,title: title,userId: userId,role: role,ip: baseUrl.value},{    headers: {
      "Authentication": getToken().accessToken
    }});
}

/**添加一个任务 */
export const addNewTaskByInitrd = (address,packageName,title,userId,role) => {
  return axios.post<DefaultResult>('http://'+ address + ':8080/api/'+ "add-new-task-initrd",{packageName: packageName,title: title,userId: userId,role: role,ip: baseUrl.value},{    headers: {
      "Authentication": getToken().accessToken
    }});
}

/**删除一个已完成（成功，失败）的任务（日志） */
export const deleteTask = (data?:{taskIds: Array<number>}) => {
  return http.request<DefaultResult>("post", "delete-Task",{data});
}


type TaskProgressResult = {
  success: boolean,
  data: {
    list: Array<TaskProgress>
  }
}
export type TaskProgress = {
  taskId: number,
  address: string,
  status: string,
  packageName: string,
  createTime: Date,
  title: string,
}


/**查询当前任务的进度 */
export const getTaskProgress = (data?:{title: string,userId: number,role: string}) => {
  return http.request<TaskProgressResult>("post", "get-Task-Progress",{data});
}


/**查询所有日志 */
export const getAllFinishTask = (data?: { userId: number,role: string }) => {
  return http.request<TaskProgressResult>("post", "get-all-task-finish", { data });
}


