import { reactive } from "vue";
import type { FormRules } from "element-plus";
import { isPhone, isEmail } from "@pureadmin/utils";
import { REGEXP_PWD } from "@/views/login/utils/rule";

/** 自定义表单规则校验 */
export const formRules = reactive(<FormRules>{
  nickname: [{ required: true, message: "用户昵称为必填项", trigger: "blur",max:10 }],
  name: [{ required: true, message: "用户名称为必填项", trigger: "blur" ,max:10}],
  password: [{
    required: true, message: "用户密码为必填项", trigger: "blur", validator: (rule, value, callback) => { 
    if (value === "") {
          callback();
        } else if (!REGEXP_PWD.test(value)) {
          callback(new Error("请输入正确的密码格式"));
        } else {
          callback();
        }
  } }],
  roles: [{ required: true, message: "用户角色为必填项", trigger: "blur" }],
  phoneNum: [
    {
      validator: (rule, value, callback) => {
        if (value === "") {
          callback();
        } else if (!isPhone(value)) {
          callback(new Error("请输入正确的手机号码格式"));
        } else {
          callback();
        }
      },
      trigger: "blur"
      // trigger: "click" // 如果想在点击确定按钮时触发这个校验，trigger 设置成 click 即可
    }
  ],
  email: [
    {
      validator: (rule, value, callback) => {
        if (value === "") {
          callback();
        } else if (!isEmail(value)) {
          callback(new Error("请输入正确的邮箱格式"));
        } else {
          callback();
        }
      },
      trigger: "blur"
    }
  ]
});
