import { reactive } from "vue";
import type { FormRules } from "element-plus";

/** 自定义表单规则校验 */
export const formRules = reactive(<FormRules>{
  packageName: [{ required: true, message: "升级包名称为必填项", trigger: "blur" }],
  packageType: [{ required: true, message: "升级包类型为必填项", trigger: "blur" }],
  packageVersion: [{
    required: true, trigger: "blur", validator: (rule, value, callback) => {
      const exp = /^(0|[1-9]\d*)(\.(0|[1-9]\d*)){2}$/;
        if (value === "") {
          callback(new Error("升级包版本为必填项"));
        } else if (!exp.test(value)) {
          callback(new Error("请输入正确的升级包格式"));
        } else {
          callback();
        }
    },
  }],
  systemType: [{
    required: true, message: "适用操作系统为必填项", trigger: "blur" 
  }]
});
