import { reactive } from "vue";
import type { FormRules } from "element-plus";

/** 自定义表单规则校验 */
export const formRules = reactive(<FormRules>{
  connectName: [{ required: true, message: "设备名为必填项", trigger: "blur" }],
  // address: [
  //   {
  //     required: true,
  //     validator: (rule, value, callback) => {
  //       const reg = /^((25[0-5]|2[0-4][0-9]|[0-1]?[0-9]{1,2})\.){3}(25[0-5]|2[0-4][0-9]|[0-1]?[0-9]{1,2})$|^localhost$/;
  //       if (value === "") {
  //         callback();
  //       } else if (!reg.test(value)) {
  //         callback(new Error("请输入正确的ip地址格式"));
  //       } else {
  //         callback();
  //       }
  //     },
  //     trigger: "blur"
  //   }
  // ],
  subnetMask: [
    {
      required: true,
      validator: (rule, value, callback) => {
        const reg =/^(254|252|248|240|224|192|128|0)\.0\.0\.0|255\.(254|252|248|240|224|192|128|0)\.0\.0|255\.255\.(254|252|248|240|224|192|128|0)\.0|255\.255\.255\.(254|252|248|240|224|192|128|0)$/
        if (value === "") {
          callback(new Error("请输入正确的子网掩码格式"));
        } else if (!reg.test(value)) {
          callback(new Error("请输入正确的子网掩码格式"));
        } else {
          callback();
        }
      },
        trigger: "blur"
    }
  ]
});
