import { reactive } from "vue";
import type { FormRules } from "element-plus";

/** 自定义表单规则校验 */
export const formRules = reactive(<FormRules>{
    installAddress: [
    {
      validator: (rule, value, callback) => {
        const reg = /^((25[0-5]|2[0-4][0-9]|[0-1]?[0-9]{1,2})\.){3}(25[0-5]|2[0-4][0-9]|[0-1]?[0-9]{1,2})$|^localhost$/;
        if (value === "") {
          callback();
        } else if (!reg.test(value)) {
          callback(new Error("请输入正确的ip地址格式"));
        } else {
          callback();
        }
      },
      trigger: "blur"
    }
  ],
});
